from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
):
res = g_client.payment_service_definitions.list(cursor="ZXhhbXBsZTE", limit=20)
while res is not None:
# Handle items
res = res.next()
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentServiceDefinitions.list();
for await (const page of result) {
console.log(page);
}
}
run();
from gr4vy import Gr4vy
import os
with Gr4vy(
id="example",
server="sandbox",
merchant_account_id="default",
bearer_auth=auth.with_token(open("./private_key.pem").read())
):
res = g_client.payment_service_definitions.list(cursor="ZXhhbXBsZTE", limit=20)
while res is not None:
# Handle items
res = res.next()
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentServiceDefinitions.list();
for await (const page of result) {
console.log(page);
}
}
run();
{
"type": "error",
"code": "server_error",
"status": 500,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "bad_gateway",
"status": 502,
"message": "Request could not be processed",
"details": []
}
{
"type": "error",
"code": "gateway_timeout",
"status": 504,
"message": "Request could not be processed",
"details": []
}
This API is different from the list connection definitions because
it only returns definitions for payment services and not anti-fraud and gift card services.This endpoint requires the payment-service-definitions.read scope.
The cursor pointing at the previous page of items.
Required string length: 1 - 1000
Example:
"Xkjss7asS"
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Gr4vy","colors":{"primary":"#0066CC","light":"#0099FF","dark":"#0066CC"},"logo":{"light":"https://mintcdn.com/flexxbuy/AxFxa3X7-38b2HYz/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=AxFxa3X7-38b2HYz\u0026q=85\u0026s=c8c719a4e76f3fc4418d42afd2c0ee99","dark":"https://mintcdn.com/flexxbuy/AxFxa3X7-38b2HYz/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=AxFxa3X7-38b2HYz\u0026q=85\u0026s=7a09594217c27f95e0d127250c4cc958"},"favicon":"https://mintcdn.com/flexxbuy/39tfKGesfNHyX7HE/assets/favicon.png?fit=max\u0026auto=format\u0026n=39tfKGesfNHyX7HE\u0026q=85\u0026s=fc89afd637da9116e218f41f2c6b1105","api":{"playground":{"display":"simple"},"examples":{"defaults":"required","languages":["csharp","go","java","php","python","javascript","curl"]},"mdx":{"auth":{"method":"bearer"},"server":["https://api.sandbox.flexxbuy.gr4vy.app","https://api.flexxbuy.gr4vy.app"]}},"navbar":{"links":[{"icon":"bell","href":"https://status.gr4vy.com","label":"Status"},{"icon":"github","href":"https://github.com/gr4vy","label":"GitHub"}],"primary":{"type":"button","label":"Gr4vy","href":"https://gr4vy.com/#form-contact"}},"footer":{"socials":{"website":"https://gr4vy.com","twitter":"https://twitter.com/Gr4vyInc","github":"https://github.com/gr4vy","linkedin":"https://www.linkedin.com/company/gr4vy-inc"},"links":[{"header":"About","items":[{"label":"Payment orchestration","href":"https://gr4vy.com/payment-orchestration"},{"label":"Gr4vy for merchants","href":"https://gr4vy.com/merchants"},{"label":"Gr4vy for platforms","href":"https://gr4vy.com/platforms"},{"label":"Increasing your revenue","href":"https://gr4vy.com/revenue"}]},{"header":"Developers","items":[{"label":"GitHub","href":"https://github.com/gr4vy"},{"label":"Latest news","href":"https://docs.gr4vy.com/updates"},{"label":"System status","href":"https://status.gr4vy.com"},{"label":"Customer support","href":"https://support.gr4vy.com"}]}]},"styling":{"eyebrows":"breadcrumbs","codeblocks":"system","latex":true},"integrations":{"gtm":{"tagId":"G-9CX4E9QWKQ"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"flexxbuy","hasAudioNarration":false,"actualSubdomain":"flexxbuy","customDomains":["docs.byzly.com"],"gitSource":{"type":"github","owner":"gr4vy","repo":"flexxbuy-docs-mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6adf64bc3d6319f7be041995","collectionId":"bdb65d06-a21b-40ca-800b-8b423f379e82","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6adf64bc3d6319f7be041995"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6adf64bc3d6319f7be041995","clientVersion":"0.0.3966","searchFilterCounts":[{"language":"default","tag":"Build","count":195},{"language":"default","tag":"API Reference","count":171},{"language":"default","tag":"Connections","count":168},{"language":"default","tag":"Methods","count":141},{"language":"default","tag":"Features","count":95},{"language":"default","tag":"Integration guides","count":91},{"language":"default","tag":"Banking","count":46},{"language":"default","tag":"Dashboard","count":44},{"language":"default","tag":"Other","count":39},{"language":"default","tag":"Embed","count":38}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".payment-service-definition{background-color:#fff!important;border:1px solid #0a0e0d1a;border-radius:16px;padding:2em;vertical-align:middle}.payment-service-definition img{margin:0 1em 0 0;max-width:3em;display:inline-block}.payment-service-definition h2{margin:0;display:inline-block;position:relative;top:.1em}#sidebar-title{text-transform:uppercase}#sidebar-group .group{flex-direction:row-reverse}#footer .max-w-36{max-width:40rem}"}],"page":{"pagePath":"reference/payment-service-definitions/list-payment-service-definitions","slug":"/reference/payment-service-definitions/list-payment-service-definitions","pageMetadata":{"openapi":"openapi.speakeasy.json GET /payment-service-definitions","title":"List payment service definitions","description":"List the definitions of each payment service that can be configured.","href":"/reference/payment-service-definitions/list-payment-service-definitions"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"List the definitions of each payment service that can be configured.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`This API is different from the `,_jsx(_components.a,{href:`/reference/connections/list-connection-definitions`,children:`list connection definitions`}),` because\nit only returns definitions for payment services and not anti-fraud and gift card services.`]}),`\n`,_jsxs(_components.p,{children:[`This endpoint requires the `,_jsx(_components.code,{children:`payment-service-definitions.read`}),` scope.`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"openapi.speakeasy.json GET /payment-service-definitions","title":"List payment service definitions","description":"List the definitions of each payment service that can be configured.","href":"/reference/payment-service-definitions/list-payment-service-definitions"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Payment service definitions"],"summary":"List payment service definitions","description":"List the definitions of each payment service that can be configured.","operationId":"list_payment_service_definitions","parameters":["1132b6a0-b643-4d6c-919c-966b33ad12ef","9fe96693-aa76-4b63-8557-8bc03111b7eb"],"responses":{"200":"f82ee443-af91-4b5e-b19b-73c7c1dc6f94","400":"c193b107-9ed7-434e-ac68-56d16a4501c0","401":"83e209de-8c01-41c0-801a-ba58d8cd925a","403":"f5900d1c-7ca7-42f3-beb9-127fad247d99","404":"0cbc621f-f9dc-4d67-957c-e8940e07e2b5","405":"ec0a127a-8bbf-413c-a8ec-1057a4cc7a7d","409":"8fafa896-e8bc-4f1d-9255-3535221919d8","422":"d5002009-a193-411d-b8f3-8c19c9fbe71b","425":"929339f0-744d-41fa-a426-1ebfef13a10a","429":"0129dd0f-cfb7-4cf8-b8c5-9bf3d02456dd","500":"4f148605-9aa6-4a22-93f3-a6edd9b804ae","502":"ef5738e8-f1d0-47cb-9d9e-3b33befdf0d1","504":"5724f34e-0ccd-4d8b-abc1-d8d46ada24ff"},"x-speakeasy-name-override":"list","x-speakeasy-group":"payment-service-definitions","x-speakeasy-pagination":{"type":"cursor","inputs":[{"name":"cursor","in":"parameters","type":"cursor"}],"outputs":{"nextCursor":"$.next_cursor"}},"x-speakeasy-retries":{"strategy":"backoff","backoff":{"initialInterval":200,"maxInterval":200,"maxElapsedTime":1000,"exponent":1},"statusCodes":["5XX"],"retryConnectionErrors":true},"x-codeSamples":[{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vy.New(\n\t\tgr4vy.WithID(\"example\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n res, err := s.PaymentServiceDefinitions.List(ctx, gr4vygo.Pointer(\"ZXhhbXBsZTE\"), gr4vygo.Pointer[int64](20))\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n for {\n // handle items\n\n res, err = res.Next()\n\n if err != nil {\n // handle error\n }\n\n if res == nil {\n break\n }\n }\n }\n}"},{"lang":"javascript","label":"TypeScript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentServiceDefinitions.list();\n\n for await (const page of result) {\n console.log(page);\n }\n}\n\nrun();"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.ListPaymentServiceDefinitionsResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .id(\"example\")\n .server(AvailableServers.SANDBOX)\n .merchantAccountId(\"default\")\n .securitySource(new BearerSecuritySource.Builder(privateKey).build())\n .build();\n\n\n sdk.paymentServiceDefinitions().list()\n .cursor(\"ZXhhbXBsZTE\")\n .limit(20L)\n .callAsStream()\n .forEach((ListPaymentServiceDefinitionsResponse item) -> {\n // handle page\n });\n\n }\n}"},{"lang":"python","label":"Python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n id=\"example\",\n server=\"sandbox\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n):\n\n res = g_client.payment_service_definitions.list(cursor=\"ZXhhbXBsZTE\", limit=20)\n\n while res is not None:\n # Handle items\n\n res = res.next()"},{"lang":"csharp","label":"C#","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\nusing Gr4vy.Models.Requests;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nListPaymentServiceDefinitionsResponse? res = await sdk.PaymentServiceDefinitions.ListAsync(\n cursor: \"ZXhhbXBsZTE\",\n limit: 20\n);\n\nwhile(res != null)\n{\n // handle items\n\n res = await res.Next!();\n}"},{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n\n\n$responses = $sdk->paymentServiceDefinitions->list(\n cursor: 'ZXhhbXBsZTE',\n limit: 20\n\n);\n\n\nforeach ($responses as $response) {\n if ($response->statusCode === 200) {\n // handle response\n }\n}"}],"method":"get","type":"path","servers":["0048b136-b0cb-4528-8f3a-95ce1a20d337","b15a1711-bb6b-4cdf-9106-1a445dacccf7"],"security":["1c94c691-caf6-424e-b0d4-912fcc945a19"],"path":"/payment-service-definitions","baseUrlOptions":["https://api.sandbox.{id}.gr4vy.app","https://api.{id}.gr4vy.app"],"title":"List payment service definitions","codeSamples":[{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vy.New(\n\t\tgr4vy.WithID(\"example\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n res, err := s.PaymentServiceDefinitions.List(ctx, gr4vygo.Pointer(\"ZXhhbXBsZTE\"), gr4vygo.Pointer[int64](20))\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n for {\n // handle items\n\n res, err = res.Next()\n\n if err != nil {\n // handle error\n }\n\n if res == nil {\n break\n }\n }\n }\n}"},{"label":"TypeScript","lang":"javascript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentServiceDefinitions.list();\n\n for await (const page of result) {\n console.log(page);\n }\n}\n\nrun();"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.ListPaymentServiceDefinitionsResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .id(\"example\")\n .server(AvailableServers.SANDBOX)\n .merchantAccountId(\"default\")\n .securitySource(new BearerSecuritySource.Builder(privateKey).build())\n .build();\n\n\n sdk.paymentServiceDefinitions().list()\n .cursor(\"ZXhhbXBsZTE\")\n .limit(20L)\n .callAsStream()\n .forEach((ListPaymentServiceDefinitionsResponse item) -> {\n // handle page\n });\n\n }\n}"},{"label":"Python","lang":"python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n id=\"example\",\n server=\"sandbox\",\n merchant_account_id=\"default\",\n bearer_auth=auth.with_token(open(\"./private_key.pem\").read())\n):\n\n res = g_client.payment_service_definitions.list(cursor=\"ZXhhbXBsZTE\", limit=20)\n\n while res is not None:\n # Handle items\n\n res = res.next()"},{"label":"C#","lang":"csharp","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\nusing Gr4vy.Models.Requests;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nListPaymentServiceDefinitionsResponse? res = await sdk.PaymentServiceDefinitions.ListAsync(\n cursor: \"ZXhhbXBsZTE\",\n limit: 20\n);\n\nwhile(res != null)\n{\n // handle items\n\n res = await res.Next!();\n}"},{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n\n\n$responses = $sdk->paymentServiceDefinitions->list(\n cursor: 'ZXhhbXBsZTE',\n limit: 20\n\n);\n\n\nforeach ($responses as $response) {\n if ($response->statusCode === 200) {\n // handle response\n }\n}"}],"requestExampleLanguages":["csharp","go","java","php","python","javascript","bash"],"requiredOnlyExamples":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"1132b6a0-b643-4d6c-919c-966b33ad12ef":{"name":"cursor","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Cursor","description":"A pointer to the page of results to return.","example":"ZXhhbXBsZTE","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Cursor","description":"A pointer to the page of results to return.","example":"ZXhhbXBsZTE","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"A pointer to the page of results to return."},"9fe96693-aa76-4b63-8557-8bc03111b7eb":{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"The maximum number of items that are at returned.","examples":[20],"default":20,"title":"Limit","isRequired":false,"uniqueKey":"","typeLabel":"integer"},"description":"The maximum number of items that are at returned."}},"responses":{"f82ee443-af91-4b5e-b19b-73c7c1dc6f94":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"items":{"items":{"properties":{"id":{"type":"string","maxLength":50,"minLength":1,"title":"Id","description":"The definition ID of the payment service that can be configured. This is the underlying provider followed by a dash followed by the method.","examples":["adyen-ideal","stripe-card"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string"},"display_name":{"type":"string","maxLength":200,"minLength":1,"title":"Display Name","description":"A human friendly name for this service.","examples":["iDEAL","Stripe"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].display_name","typeLabel":"string"},"method":{"description":"The method of the service","examples":["ideal","card"],"type":"string","enum":["abitab","affirm","afterpay","alipay","alipayhk","applepay","arcuspaynetwork","bacs","bancontact","bank","bcp","becs","bitpay","blik","ach","boleto","boost","breb","capitec","card","cashapp","cashappafterpay","chaseorbital","clearpay","click-to-pay","custom_push","custom_redirect","custom_tokenize","dana","dcb","dlocal","duitnow","ebanx","eckoh","efecty","eps","everydaypay","gcash","gem","gemds","gift-card","giropay","givingblock","gocardless","googlepay","googlepay_pan_only","gopay","grabpay","ideal","interac","kakaopay","kcp","khipu","klarna","konbini","latitude","latitudeds","laybuy","linepay","linkaja","maybankqrpay","mercadopago","multibanco","multipago","nequi","netbanking","network-token","nupay","oney_10x","oney_12x","oney_3x","oney_4x","oney_6x","onlinebankingcz","onelink","ovo","oxxo","p24","pagoefectivo","paybybank","payid","paymaya","paysquad","paypal","paypaldirectorder","paypalpaylater","paypay","payto","payvalida","paze","picpay","pix","plaid","pse","rabbitlinepay","razorpay","rapipago","redpagos","scalapay","sepa","servipag","seveneleven","sezzle","shopeepay","singteldash","smartpay","sofort","spei","stitch","swish","stripe","stripedd","stripetoken","tapi","tapifintechs","thaiqr","touchngo","truemoney","trustly","trustlyeurope","upi","venmo","vipps","waave","webpay","wechat","wero","yape","zippay"],"title":"Method","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"\\items.items.[INDEX].method","typeLabel":"enum\u003cstring>"},"fields":{"items":{"properties":{"key":{"type":"string","maxLength":50,"minLength":1,"title":"Key","description":"The key of a field that can be submitted.","examples":["private_api_key"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].fields.items.[INDEX].key","typeLabel":"string"},"display_name":{"type":"string","maxLength":200,"minLength":1,"title":"Display Name","description":"The human readable name for this field.","examples":["Private API key"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].fields.items.[INDEX].display_name","typeLabel":"string"},"required":{"type":"boolean","title":"Required","description":"Defines if this field is required when the service is created.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].fields.items.[INDEX].required","typeLabel":"boolean"},"format":{"description":"Defines the type of input that needs to be rendered for this field.","examples":["text"],"type":"string","enum":["text","multiline","file","number","timezone","boolean"],"title":"DefinitionFieldFormat","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"\\items.items.[INDEX].fields.items.[INDEX].format","typeLabel":"enum\u003cstring>"},"secret":{"type":"boolean","title":"Secret","description":"Defines if this field is secret. When `true` the field's value is not returned when querying the payment service information.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].fields.items.[INDEX].secret","typeLabel":"boolean"},"verifiable":{"type":"boolean","title":"Verifiable","description":"Defines if this field can be verified through the verify credentials button.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].fields.items.[INDEX].verifiable","typeLabel":"boolean"}},"additionalProperties":false,"type":"object","required":["key","display_name","required","format","secret","verifiable"],"title":"DefinitionField","description":"A single field that needs to be submitted for a payment service when it is created.","uniqueKey":"\\items.items.[INDEX].fields.items.[INDEX]","typeLabel":"DefinitionField · object"},"type":"array","title":"Fields","description":"A list of credentials and related fields which can be configured for this service.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].fields","typeLabel":"DefinitionField · object[]"},"reporting_fields":{"items":{"properties":{"key":{"type":"string","maxLength":50,"minLength":1,"title":"Key","description":"The key of a field that can be submitted.","examples":["private_api_key"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].reporting_fields.items.[INDEX].key","typeLabel":"string"},"display_name":{"type":"string","maxLength":200,"minLength":1,"title":"Display Name","description":"The human readable name for this field.","examples":["Private API key"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].reporting_fields.items.[INDEX].display_name","typeLabel":"string"},"required":{"type":"boolean","title":"Required","description":"Defines if this field is required when the service is created.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].reporting_fields.items.[INDEX].required","typeLabel":"boolean"},"format":{"description":"Defines the type of input that needs to be rendered for this field.","examples":["text"],"type":"string","enum":["text","multiline","file","number","timezone","boolean"],"title":"DefinitionFieldFormat","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"\\items.items.[INDEX].reporting_fields.items.[INDEX].format","typeLabel":"enum\u003cstring>"},"secret":{"type":"boolean","title":"Secret","description":"Defines if this field is secret. When `true` the field's value is not returned when querying the payment service information.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].reporting_fields.items.[INDEX].secret","typeLabel":"boolean"},"verifiable":{"type":"boolean","title":"Verifiable","description":"Defines if this field can be verified through the verify credentials button.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].reporting_fields.items.[INDEX].verifiable","typeLabel":"boolean"}},"additionalProperties":false,"type":"object","required":["key","display_name","required","format","secret","verifiable"],"title":"DefinitionField","description":"A single field that needs to be submitted for a payment service when it is created.","uniqueKey":"\\items.items.[INDEX].reporting_fields.items.[INDEX]","typeLabel":"DefinitionField · object"},"type":"array","title":"Reporting Fields","description":"A list of reporting fields which can be configured for this service.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].reporting_fields","typeLabel":"DefinitionField · object[]"},"supported_currencies":{"items":{"type":"string","pattern":"^[A-Z]{3}$","examples":["EUR","GBP","USD"],"uniqueKey":"\\items.items.[INDEX].supported_currencies.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Supported Currencies","description":"A list of three-letter ISO currency codes that this service supports.","examples":[["USD","GBP","EUR","AUD"]],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].supported_currencies","typeLabel":"string[]"},"supported_countries":{"items":{"type":"string","pattern":"^[A-Z]{2}$","examples":["DE","GB","US"],"uniqueKey":"\\items.items.[INDEX].supported_countries.items.[INDEX]","typeLabel":"string"},"type":"array","title":"Supported Countries","description":"A list of two-letter ISO country codes that this service supports.","examples":["US","GB","DE","AUD"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].supported_countries","typeLabel":"string[]"},"mode":{"description":"The mode that defines the flow this payment service uses to process a payment.","examples":["card","redirect"],"type":"string","enum":["card","redirect","applepay","googlepay","checkout-session","click-to-pay","gift-card","bank","paze"],"title":"Mode","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"\\items.items.[INDEX].mode","typeLabel":"enum\u003cstring>"},"supported_features":{"additionalProperties":{"type":"boolean","uniqueKey":"\\items.items.[INDEX].supported_features.additionalProperties","typeLabel":"boolean"},"type":"object","title":"Supported Features","description":"Features supported by the payment service.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].supported_features","typeLabel":"Supported Features · object"},"required_checkout_fields":{"items":{"properties":{"required_fields":{"items":{"type":"string","uniqueKey":"\\items.items.[INDEX].required_checkout_fields.items.[INDEX].required_fields.items.[INDEX]","typeLabel":"string"},"type":"array","uniqueItems":true,"title":"Required Fields","description":"A list of transaction fields that are required to process a payment for this service.","examples":[["address.line1","address.country","address.city","address.postal_code"]],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].required_checkout_fields.items.[INDEX].required_fields","typeLabel":"string[]"},"conditions":{"oneOf":[{"type":"object","title":"Conditions","description":"The conditions under which these fields are required","example":{"country":["IN"]},"additionalProperties":true,"uniqueKey":"\\items.items.[INDEX].required_checkout_fields.items.[INDEX].conditions.oneOf.0","typeLabel":"Conditions · object"},{"type":"null","title":"Conditions","description":"The conditions under which these fields are required","example":{"country":["IN"]},"uniqueKey":"\\items.items.[INDEX].required_checkout_fields.items.[INDEX].conditions.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].required_checkout_fields.items.[INDEX].conditions","typeLabel":"Conditions · object | null"}},"additionalProperties":false,"type":"object","required":["required_fields"],"title":"RequiredCheckoutFields","description":"A collection of checkout fields and the conditions under which they are required.","uniqueKey":"\\items.items.[INDEX].required_checkout_fields.items.[INDEX]","typeLabel":"RequiredCheckoutFields · object"},"type":"array","title":"Required Checkout Fields","description":"A list of condition that define when some fields must be provided with a transaction request.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].required_checkout_fields","typeLabel":"RequiredCheckoutFields · object[]"},"configuration":{"properties":{"approval_ui_target":{"description":"The browser target that an approval URL must be opened in. If any or null, then there is no specific requirement.","examples":["any"],"type":"string","enum":["new_window","any"],"title":"ApprovalTarget","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"\\items.items.[INDEX].configuration.approval_ui_target","typeLabel":"enum\u003cstring>"},"approval_ui_height":{"type":"string","pattern":"^\\d+(?:vh|px)$","title":"Approval Ui Height","description":"Height of the approval interface in either pixels or view height (vh).","examples":["100px","50vh"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].configuration.approval_ui_height","typeLabel":"string"},"approval_ui_width":{"type":"string","pattern":"^\\d+(?:vw|px)$","title":"Approval Ui Width","description":"Width of the approval interface in either pixels or view width (vw).","examples":["100px","50vw"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].configuration.approval_ui_width","typeLabel":"string"},"cart_items_limit":{"type":"integer","title":"Cart Items Limit","description":"The maximum number of cart items supported by this connector before we will truncate the list.","examples":[100],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].configuration.cart_items_limit","typeLabel":"integer"},"cart_items_required":{"type":"boolean","title":"Cart Items Required","description":"Defines if cart items are required by this connector.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].configuration.cart_items_required","typeLabel":"boolean"},"cart_items_should_match_amount":{"type":"boolean","title":"Cart Items Should Match Amount","description":"Defines if the cart items sum value should match the transaction amount.","examples":[true],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].configuration.cart_items_should_match_amount","typeLabel":"boolean"}},"additionalProperties":false,"type":"object","required":["approval_ui_target","approval_ui_height","approval_ui_width","cart_items_limit","cart_items_required","cart_items_should_match_amount"],"title":"PaymentServiceConfiguration","description":"Additional configuration on how to present the approval UI.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].configuration","typeLabel":"PaymentServiceConfiguration · object"},"supported_integration_clients":{"oneOf":[{"type":"array","items":{"type":"string","enum":["redirect","web","android","ios"],"title":"IntegrationClient","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","uniqueKey":"\\items.items.[INDEX].supported_integration_clients.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"title":"Supported Integration Clients","description":"List of supported integration clients. Defaults to redirect for most redirect connectors.","example":["redirect"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].supported_integration_clients.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","title":"Supported Integration Clients","description":"List of supported integration clients. Defaults to redirect for most redirect connectors.","example":["redirect"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].supported_integration_clients.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].supported_integration_clients","typeLabel":"enum\u003cstring>[] | null"},"type":{"type":"string","const":"payment-service-definition","title":"Type","description":"Always `payment-service-definition`.","default":"payment-service-definition","examples":["payment-service-definition"],"uniqueKey":"\\items.items.[INDEX].type","typeLabel":"string"},"icon_url":{"oneOf":[{"type":"string","title":"Icon Url","description":"An icon to display for the payment service.","example":"https://example.com/icons/adyen-ideal.svg","uniqueKey":"\\items.items.[INDEX].icon_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Icon Url","description":"An icon to display for the payment service.","example":"https://example.com/icons/adyen-ideal.svg","uniqueKey":"\\items.items.[INDEX].icon_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].icon_url","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["id","display_name","method","fields","reporting_fields","supported_currencies","supported_countries","mode","supported_features","required_checkout_fields","configuration","supported_integration_clients"],"title":"PaymentServiceDefinition","uniqueKey":"\\items.items.[INDEX]","typeLabel":"PaymentServiceDefinition · object"},"type":"array","title":"Items","description":"A list of items returned for this request.","isRequired":true,"uniqueKey":"\\items","typeLabel":"PaymentServiceDefinition · object[]"},"limit":{"type":"integer","maximum":100,"minimum":1,"title":"Limit","description":"The number of items for this page.","default":20,"examples":[20],"uniqueKey":"limit","typeLabel":"integer"},"next_cursor":{"oneOf":[{"type":"string","title":"Next Cursor","description":"The cursor pointing at the next page of items.","maxLength":1000,"minLength":1,"example":"ZXhhbXBsZTE","uniqueKey":"next_cursor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Next Cursor","description":"The cursor pointing at the next page of items.","example":"ZXhhbXBsZTE","uniqueKey":"next_cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"next_cursor","typeLabel":"string | null"},"previous_cursor":{"oneOf":[{"type":"string","title":"Previous Cursor","description":"The cursor pointing at the previous page of items.","maxLength":1000,"minLength":1,"example":"Xkjss7asS","uniqueKey":"previous_cursor.oneOf.0","typeLabel":"string"},{"type":"null","title":"Previous Cursor","description":"The cursor pointing at the previous page of items.","example":"Xkjss7asS","uniqueKey":"previous_cursor.oneOf.1","typeLabel":"null"}],"uniqueKey":"previous_cursor","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["items"],"title":"PaymentServiceDefinitions","uniqueKey":"","typeLabel":"PaymentServiceDefinitions · object"},"examples":{"Example":{"title":"Example","value":{"items":[{"id":"adyen-ideal","display_name":"iDEAL","method":"ideal","fields":[{"key":"private_api_key","display_name":"Private API key","required":true,"format":"text","secret":true,"verifiable":true}],"reporting_fields":[{"key":"private_api_key","display_name":"Private API key","required":true,"format":"text","secret":true,"verifiable":true}],"supported_currencies":["USD","GBP","EUR","AUD"],"supported_countries":"US","mode":"card","supported_features":{},"required_checkout_fields":[{"required_fields":["address.line1","address.country","address.city","address.postal_code"],"conditions":{"country":["IN"]}}],"configuration":{"approval_ui_target":"any","approval_ui_height":"100px","approval_ui_width":"100px","cart_items_limit":100,"cart_items_required":true,"cart_items_should_match_amount":true},"supported_integration_clients":["redirect"],"type":"payment-service-definition","icon_url":"https://example.com/icons/adyen-ideal.svg"}],"limit":20,"next_cursor":"ZXhhbXBsZTE","previous_cursor":"Xkjss7asS"}}},"exampleType":"generated"}},"exampleType":"generated"},"c193b107-9ed7-434e-ac68-56d16a4501c0":{"description":"The request was invalid.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_request`","default":"bad_request","examples":["bad_request"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `400`.","default":400,"examples":[400],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error400","uniqueKey":"","typeLabel":"Error400 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_request","status":400,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"83e209de-8c01-41c0-801a-ba58d8cd925a":{"description":"The request was unauthorized.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `unauthorized`","default":"unauthorized","examples":["unauthorized"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `401`.","default":401,"examples":[401],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"No valid API authentication found","examples":["No valid API authentication found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error401","uniqueKey":"","typeLabel":"Error401 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"unauthorized","status":401,"message":"No valid API authentication found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"f5900d1c-7ca7-42f3-beb9-127fad247d99":{"description":"The credentials were invalid or the caller did not have permission to act on the resource.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `forbidden`","default":"forbidden","examples":["forbidden"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `403`.","default":403,"examples":[403],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error403","uniqueKey":"","typeLabel":"Error403 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"forbidden","status":403,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"0cbc621f-f9dc-4d67-957c-e8940e07e2b5":{"description":"The resource was not found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `not_found`","default":"not_found","examples":["not_found"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `404`.","default":404,"examples":[404],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"The resource could not be found","examples":["The resource could not be found"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error404","uniqueKey":"","typeLabel":"Error404 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"not_found","status":404,"message":"The resource could not be found","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"ec0a127a-8bbf-413c-a8ec-1057a4cc7a7d":{"description":"The request method was not allowed.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `method_not_allowed`","default":"method_not_allowed","examples":["method_not_allowed"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `405`.","default":405,"examples":[405],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Method Not Allowed","examples":["Method Not Allowed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error405","uniqueKey":"","typeLabel":"Error405 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"method_not_allowed","status":405,"message":"Method Not Allowed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"8fafa896-e8bc-4f1d-9255-3535221919d8":{"description":"A duplicate record was found.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `duplicate_record`","default":"duplicate_record","examples":["duplicate_record"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `409`.","default":409,"examples":[409],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"},"resource_id":{"oneOf":[{"type":"string","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Resource Id","description":"The ID of the conflicting resource.","example":"cdc70639-cb9c-4222-a73f-b8ce39f7821b","uniqueKey":"resource_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"resource_id","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","title":"Error409","uniqueKey":"","typeLabel":"Error409 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"duplicate_record","status":409,"message":"Request failed validation","details":[],"resource_id":"cdc70639-cb9c-4222-a73f-b8ce39f7821b"}}},"exampleType":"generated"}},"exampleType":"generated"},"d5002009-a193-411d-b8f3-8c19c9fbe71b":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"929339f0-744d-41fa-a426-1ebfef13a10a":{"description":"The request was too early.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_early`","default":"too_early","examples":["too_early"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `425`.","default":425,"examples":[425],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error425","uniqueKey":"","typeLabel":"Error425 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_early","status":425,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"0129dd0f-cfb7-4cf8-b8c5-9bf3d02456dd":{"description":"Too many requests were made.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `too_many_requests`","default":"too_many_requests","examples":["too_many_requests"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `429`.","default":429,"examples":[429],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Generic error","examples":["Request failed validation"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error429","uniqueKey":"","typeLabel":"Error429 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"too_many_requests","status":429,"message":"Request failed validation","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"4f148605-9aa6-4a22-93f3-a6edd9b804ae":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `server_error`","default":"server_error","examples":["server_error"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `500`.","default":500,"examples":[500],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error500","uniqueKey":"","typeLabel":"Error500 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"server_error","status":500,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"ef5738e8-f1d0-47cb-9d9e-3b33befdf0d1":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `bad_gateway`","default":"bad_gateway","examples":["bad_gateway"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","description":"Always `502`.","default":502,"examples":[502],"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error502","uniqueKey":"","typeLabel":"Error502 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"bad_gateway","status":502,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"5724f34e-0ccd-4d8b-abc1-d8d46ada24ff":{"description":"The server encountered an error.","content":{"application/json":{"schema":{"properties":{"type":{"type":"string","const":"error","title":"Type","description":"Always `error`.","default":"error","examples":["error"],"uniqueKey":"type","typeLabel":"string"},"code":{"type":"string","title":"Code","description":"Always `gateway_timeout`","default":"gateway_timeout","examples":["gateway_timeout"],"uniqueKey":"code","typeLabel":"string"},"status":{"type":"integer","title":"Status","default":504,"uniqueKey":"status","typeLabel":"integer"},"message":{"type":"string","title":"Message","description":"A human readable message that provides more context to the error.","default":"Request could not be processed","examples":["Request could not be processed"],"uniqueKey":"message","typeLabel":"string"},"details":{"items":{"properties":{"location":{"description":"The part of the request where the property can be found that caused the error.","examples":["body"],"type":"string","enum":["query","body","path","header","unknown"],"title":"ErrorLocation","x-speakeasy-unknown-values":"allow","overlay":"1.0.0","isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"enum\u003cstring>"},"pointer":{"oneOf":[{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","format":"json-pointer","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.0","typeLabel":"string\u003cjson-pointer>"},{"type":"string","title":"Pointer","description":"A JSON pointer for the particular property that caused the error.","example":"/currency","isRequired":true,"uniqueKey":"details.items.[INDEX].pointer.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"details.items.[INDEX].pointer","typeLabel":"string\u003cjson-pointer> | string"},"message":{"type":"string","title":"Message","description":"A human-readdable explanation of the error.","examples":["Unknown ISO 4217 currency code: USX"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"type":{"type":"string","title":"Type","description":"The type of error that was raised for this property.","examples":["value_error"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"}},"additionalProperties":false,"type":"object","required":["location","pointer","message","type"],"title":"ErrorDetail","uniqueKey":"details.items.[INDEX]","typeLabel":"ErrorDetail · object"},"type":"array","title":"Details","description":"A list of details that further ellaborate on the error.","default":[],"uniqueKey":"details","typeLabel":"ErrorDetail · object[]"}},"additionalProperties":false,"type":"object","title":"Error504","uniqueKey":"","typeLabel":"Error504 · object"},"examples":{"Example":{"title":"Example","value":{"type":"error","code":"gateway_timeout","status":504,"message":"Request could not be processed","details":[]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"1c94c691-caf6-424e-b0d4-912fcc945a19":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"0048b136-b0cb-4528-8f3a-95ce1a20d337":{"url":"https://api.sandbox.{id}.gr4vy.app","x-speakeasy-server-id":"sandbox","variables":{"id":{"default":"example","description":"The subdomain for your Gr4vy instance."}}},"b15a1711-bb6b-4cdf-9106-1a445dacccf7":{"url":"https://api.{id}.gr4vy.app","x-speakeasy-server-id":"production","variables":{"id":{"default":"example","description":"The subdomain for your Gr4vy instance."}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"openapi.speakeasy.json"},"subdomain":"flexxbuy","siteName":"Gr4vy","title":"List payment service definitions - Gr4vy","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-27T10:02:14.792Z","originalFileLocation":"reference/payment-service-definitions/list-payment-service-definitions.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"List the definitions of each payment service that can be configured.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Gr4vy\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List payment service definitions - Gr4vy\">\u003cmeta data-mint-head property=\"og:description\" content=\"List the definitions of each payment service that can be configured.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Gr4vy\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.byzly.com/reference/payment-service-definitions/list-payment-service-definitions\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://flexxbuy.mintlify.app/_mintlify/api/og/v2?division=Documentation\u0026amp;title=List+payment+service+definitions\u0026amp;description=List+the+definitions+of+each+payment+service+that+can+be+configured.\u0026amp;theme=93f51384d2ec49fce20f3d31\u0026amp;signature=c61663c9b40072f243bcf5e05fe864938b95a436f1aa555d03f457f690a44c59\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List payment service definitions - Gr4vy\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"List the definitions of each payment service that can be configured.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://flexxbuy.mintlify.app/_mintlify/api/og/v2?division=Documentation\u0026amp;title=List+payment+service+definitions\u0026amp;description=List+the+definitions+of+each+payment+service+that+can+be+configured.\u0026amp;theme=93f51384d2ec49fce20f3d31\u0026amp;signature=c61663c9b40072f243bcf5e05fe864938b95a436f1aa555d03f457f690a44c59\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/flexxbuy/UwX1s5aPWOD2LQQg/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Gr4vy\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0066CC\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.byzly.com/reference/payment-service-definitions/list-payment-service-definitions\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/payment-service-definitions/list-payment-service-definitions.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Gr4vy\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Gr4vy","nav":{"global":null,"tabs":[{"tab":"Build","icon":"credit-card","groups":[{"group":"Get started","icon":"compass","pages":[{"sidebarTitle":"Overview","title":"Connect, build, and scale payments","mode":"wide","href":"/guides/get-started"},{"title":"Accept payments on the web","sidebarTitle":"Web payments","href":"/guides/payments/web"},{"title":"Accept payments on mobile","sidebarTitle":"Mobile payments","href":"/guides/payments/mobile"}]},{"group":"Integration guides","icon":"code","pages":[{"group":"Embed","pages":[{"group":"Web","pages":[{"title":"Embed","sidebarTitle":"Introduction","href":"/guides/payments/embed/quick-start/overview"},{"title":"Creating an API key for use with Embed","sidebarTitle":"API keys","href":"/guides/payments/embed/quick-start/key"},{"title":"Generating tokens for authentication","sidebarTitle":"Authentication","href":"/guides/payments/embed/quick-start/sdks"},{"title":"Adding Embed","sidebarTitle":"Embed checkout","href":"/guides/payments/embed/quick-start/embed"},{"title":"Inspecting transactions","sidebarTitle":"Transaction inspection","href":"/guides/payments/embed/quick-start/inspect"},{"title":"Going live","sidebarTitle":"Going live","href":"/guides/payments/embed/quick-start/live"},{"title":"Digital wallets in Embed","sidebarTitle":"Digital wallets","href":"/guides/payments/embed/digital-wallets"},{"title":"Embed events","sidebarTitle":"Events","href":"/guides/payments/embed/events"},{"title":"Embed localization","sidebarTitle":"Locales","href":"/guides/payments/embed/locale"},{"title":"Embed Theming","sidebarTitle":"Theming","href":"/guides/payments/embed/theming"},{"title":"Embed options","sidebarTitle":"Options","mode":"wide","href":"/guides/payments/embed/options"},{"title":"In-app browsers with Embed","sidebarTitle":"In-app browsers","href":"/guides/payments/embed/in-app-browsers"},{"title":"Common issues with Embed","sidebarTitle":"Common issues","href":"/guides/payments/embed/common-issues"}]},{"group":"Android","pages":[{"title":"Android SDK","sidebarTitle":"Introduction","href":"/guides/payments/android/quick-start/overview"},{"title":"Creating an API key for use with Android","sidebarTitle":"API keys","href":"/guides/payments/android/quick-start/key"},{"title":"Generating tokens for authentication","sidebarTitle":"Authentication","href":"/guides/payments/android/quick-start/sdks"},{"title":"Installing the Android SDK","sidebarTitle":"SDK installation","href":"/guides/payments/android/quick-start/android"},{"title":"Creating transactions","sidebarTitle":"Transactions","href":"/guides/payments/android/quick-start/transact"},{"title":"Google Pay on Android","sidebarTitle":"Google Pay","href":"/guides/payments/android/google-pay"},{"title":"Android events","sidebarTitle":"Events","href":"/guides/payments/android/events"},{"title":"Android options","sidebarTitle":"Options","mode":"wide","href":"/guides/payments/android/options"}]},{"group":"iOS","pages":[{"title":"iOS SDK","sidebarTitle":"Introduction","href":"/guides/payments/ios/quick-start/overview"},{"title":"Creating an API key for use with iOS","sidebarTitle":"API keys","href":"/guides/payments/ios/quick-start/key"},{"title":"Generating tokens for authentication","sidebarTitle":"Authentication","href":"/guides/payments/ios/quick-start/sdks"},{"title":"Installing the iOS SDK","sidebarTitle":"SDK installation","href":"/guides/payments/ios/quick-start/ios"},{"title":"Creating transactions","sidebarTitle":"Transactions","href":"/guides/payments/ios/quick-start/transact"},{"title":"Apple Pay on iOS","sidebarTitle":"Apple Pay","href":"/guides/payments/ios/apple-pay"},{"title":"iOS events","sidebarTitle":"Events","href":"/guides/payments/ios/events"},{"title":"iOS options","sidebarTitle":"Options","mode":"wide","href":"/guides/payments/ios/options"}]},{"group":"React Native","pages":[{"title":"React Native SDK","sidebarTitle":"Introduction","href":"/guides/payments/react-native/quick-start/overview"},{"title":"Creating an API key for use with React Native","sidebarTitle":"API keys","href":"/guides/payments/react-native/quick-start/key"},{"title":"Generating tokens for authentication","sidebarTitle":"Authentication","href":"/guides/payments/react-native/quick-start/sdks"},{"title":"Installing the React Native SDK","sidebarTitle":"SDK installation","href":"/guides/payments/react-native/quick-start/embed"},{"title":"Creating transactions","sidebarTitle":"Transactions","href":"/guides/payments/react-native/quick-start/transact"},{"title":"Apple Pay on React Native","sidebarTitle":"Apple Pay","href":"/guides/payments/react-native/apple-pay"},{"title":"Google Pay on React Native","sidebarTitle":"Google Pay","href":"/guides/payments/react-native/google-pay"},{"title":"React Native events","sidebarTitle":"Events","href":"/guides/payments/react-native/events"},{"title":"React Native options","sidebarTitle":"Options","mode":"wide","href":"/guides/payments/react-native/options"}]}]},{"group":"Secure Fields","pages":[{"title":"Secure Fields","sidebarTitle":"Introduction","href":"/guides/payments/secure-fields/quick-start/overview"},{"title":"Creating an API key for use with Secure Fields","sidebarTitle":"API keys","href":"/guides/payments/secure-fields/quick-start/key"},{"title":"Creating checkout sessions","sidebarTitle":"Checkout sessions","href":"/guides/payments/secure-fields/quick-start/sdks"},{"title":"Adding secure fields","sidebarTitle":"Secure fields","href":"/guides/payments/secure-fields/quick-start/embed"},{"title":"Creating transactions","sidebarTitle":"Transactions","href":"/guides/payments/secure-fields/quick-start/transact"},{"title":"Secure Fields and 3DS","sidebarTitle":"3DS","href":"/guides/payments/secure-fields/three-d-secure"},{"title":"Secure Fields with stored cards","sidebarTitle":"Stored cards","href":"/guides/payments/secure-fields/stored-cards"},{"title":"Secure Fields theming","sidebarTitle":"Theming","href":"/guides/payments/secure-fields/theming"},{"title":"Secure Fields events","sidebarTitle":"Events","href":"/guides/payments/secure-fields/events"},{"title":"Secure Fields UX options","sidebarTitle":"UX options","href":"/guides/payments/secure-fields/ux-options"}]},{"group":"Direct API","pages":[{"title":"Direct API","sidebarTitle":"Introduction","href":"/guides/payments/direct-api/quick-start/overview"},{"title":"Authentication","sidebarTitle":"Authentication","href":"/guides/payments/direct-api/quick-start/key"},{"title":"Listing payment options","sidebarTitle":"Payment options","href":"/guides/payments/direct-api/quick-start/payment-options"},{"title":"Creating transactions","sidebarTitle":"Transactions","href":"/guides/payments/direct-api/quick-start/transaction"},{"title":"Handling redirects","sidebarTitle":"Redirects","href":"/guides/payments/direct-api/quick-start/handle-redirect"},{"title":"Getting transaction results","sidebarTitle":"Transaction results","href":"/guides/payments/direct-api/quick-start/status"},{"title":"PayPal via the API","sidebarTitle":"PayPal","href":"/guides/payments/direct-api/paypal"}]},{"group":"Native SDKs","pages":[{"title":"Native Mobile SDKs","sidebarTitle":"Overview","href":"/guides/payments/native/overview"},{"title":"Create an API key","sidebarTitle":"API keys","href":"/guides/payments/native/key"},{"title":"Generating tokens for authentication","sidebarTitle":"Authentication","href":"/guides/payments/native/sdks"},{"title":"Vaulting card data","sidebarTitle":"Vaulting","href":"/guides/payments/native/vault"},{"title":"Adding 3DS authentication","sidebarTitle":"3DS","href":"/guides/payments/native/3ds"},{"sidebarTitle":"Get card details","title":"Card details","href":"/guides/payments/native/get-card-details"},{"sidebarTitle":"Payment options","title":"List payment options","href":"/guides/payments/native/list-payment-options"},{"sidebarTitle":"Buyer payment methods","title":"List buyer payment methods","href":"/guides/payments/native/list-buyer-payment-methods"},{"title":"SDK Response Reference","sidebarTitle":"Responses","href":"/guides/payments/native/responses"}]},{"group":"Agentic Development Kit","pages":[{"title":"Agentic Development Kit (ADK)","sidebarTitle":"Overview","href":"/guides/payments/adk/overview"},{"group":"ChatGPT","pages":[{"title":"ChatGPT ADK","sidebarTitle":"Introduction","href":"/guides/payments/chatgpt-app/overview"},{"title":"Architecture","sidebarTitle":"Architecture","href":"/guides/payments/chatgpt-app/architecture"},{"title":"Set up the project","sidebarTitle":"Setup","href":"/guides/payments/chatgpt-app/setup"},{"title":"Build the MCP server","sidebarTitle":"MCP server","href":"/guides/payments/chatgpt-app/mcp-server"},{"title":"Build the widgets","sidebarTitle":"Widgets","href":"/guides/payments/chatgpt-app/widgets"},{"title":"Integrate Gr4vy Embed","sidebarTitle":"Gr4vy Embed","href":"/guides/payments/chatgpt-app/gr4vy-embed"},{"title":"Deploy to ChatGPT","sidebarTitle":"Deployment","href":"/guides/payments/chatgpt-app/deployment"}]}]},{"group":"Vaulting","pages":[{"title":"Vaulting","sidebarTitle":"Overview","href":"/guides/features/vault-forwarding/overview"},{"title":"Tokenize a card","sidebarTitle":"Tokenize","href":"/guides/features/vault-forwarding/tokenize"},{"title":"Provision a PSP token","sidebarTitle":"PSP tokens","href":"/guides/features/vault-forwarding/psp-tokens"},{"title":"Vault Forward card data to API endpoint","sidebarTitle":"Forward to endpoint","href":"/guides/features/vault-forwarding/forward"}]},{"group":"E-commerce Plugins","pages":[{"group":"commercetools","pages":[{"title":"commercetools Integration","sidebarTitle":"Overview","href":"/guides/payments/commercetools/overview"},{"title":"commercetools Installation","sidebarTitle":"Installation","href":"/guides/payments/commercetools/installation"},{"title":"commercetools Configuration","sidebarTitle":"Configuration","href":"/guides/payments/commercetools/configuration"},{"title":"commercetools Administration","sidebarTitle":"Administration","href":"/guides/payments/commercetools/backend"},{"title":"commercetools Frontend","sidebarTitle":"Frontend","href":"/guides/payments/commercetools/frontend"}]},{"group":"Magento","pages":[{"title":"Magento Plugin","sidebarTitle":"Overview","href":"/guides/payments/magento/overview"},{"title":"Magento Installation","sidebarTitle":"Installation","href":"/guides/payments/magento/installation"},{"title":"Magento Configuration","sidebarTitle":"Configuration","href":"/guides/payments/magento/configuration"},{"title":"Magento Administration","sidebarTitle":"Administration","href":"/guides/payments/magento/backend"},{"title":"Magento Frontend","sidebarTitle":"Frontend","href":"/guides/payments/magento/frontend"}]},{"group":"Salesforce Commerce Cloud","pages":[{"title":"Salesforce Commerce Cloud Cartridge","sidebarTitle":"Overview","href":"/guides/payments/sfcc/overview"},{"title":"Salesforce Commerce Cloud Installation","sidebarTitle":"Installation","href":"/guides/payments/sfcc/installation"},{"title":"Salesforce Commerce Cloud Configuration","sidebarTitle":"Configuration","href":"/guides/payments/sfcc/configuration"},{"title":"Salesforce Commerce Cloud Administration","sidebarTitle":"Administration","href":"/guides/payments/sfcc/backend"},{"title":"Salesforce Commerce Cloud Frontend","sidebarTitle":"Frontend","href":"/guides/payments/sfcc/frontend"}]}]}]},{"group":"Best Practices","icon":"lightbulb","pages":[{"title":"Best practices","href":"/guides/best-practices/overview"},{"title":"Identifiers \u0026 reconciliation","sidebarTitle":"IDs \u0026 reconciliation","href":"/guides/ids"},{"title":"Idempotent requests","href":"/guides/api/idempotent-requests"},{"sidebarTitle":"Timeouts","title":"Handling transaction timeout","mode":"wide","href":"/guides/timeouts"}]},{"group":"Resources","icon":"toolbox","pages":[{"title":"Command Line Interface (CLI)","sidebarTitle":"CLI","href":"/guides/tools/cli"},{"title":"Postman Collection","sidebarTitle":"Postman","href":"/guides/tools/postman"},{"title":"OpenAPI 3.1.0 Specification","sidebarTitle":"OpenAPI","href":"/guides/api/openapi"}]},{"group":"Features","icon":"sliders","pages":[{"group":"3-D Secure","pages":[{"title":"3-D Secure","sidebarTitle":"Overview","href":"/guides/features/3ds/overview"},{"title":"3-D Secure Setup","sidebarTitle":"Setup","href":"/guides/features/3ds/setup"},{"title":"Setup 3DS card schemes","sidebarTitle":"Schemes","href":"/guides/features/3ds/schemes"},{"title":"3-D Secure with multiple connections","sidebarTitle":"Multiple connections","href":"/guides/features/3ds/multiple-connections"},{"title":"3-D Secure in Embed","sidebarTitle":"Embed","href":"/guides/features/3ds/embed"},{"title":"Hosted 3-D Secure","sidebarTitle":"Hosted","href":"/guides/features/3ds/hosted"},{"title":"Native 3-D Secure","sidebarTitle":"Native","href":"/guides/features/3ds/native"},{"title":"Pass-through External 3-D Secure data","sidebarTitle":"External","href":"/guides/features/3ds/external"},{"title":"3DS authentication results","sidebarTitle":"Results","href":"/guides/features/3ds/statuses"},{"title":"3-D Secure testing","sidebarTitle":"Testing","href":"/guides/features/3ds/testing"},{"title":"3DS Scenarios","sidebarTitle":"Scenarios","href":"/guides/features/3ds/scenarios"}]},{"group":"Account updater","pages":[{"title":"Account Updater","sidebarTitle":"Overview","href":"/guides/features/account-updater/overview"},{"title":"Manual account updates","sidebarTitle":"Manual updates","href":"/guides/features/account-updater/integration"},{"title":"Scheduled account updates","sidebarTitle":"Scheduled updates","href":"/guides/features/account-updater/scheduler"},{"title":"Real time account updates","sidebarTitle":"Real time updates","href":"/guides/features/account-updater/real-time"}]},{"group":"AFTs","pages":[{"title":"Account funding transactions","sidebarTitle":"Overview","href":"/guides/features/account-funding-transactions/overview"}]},{"group":"Anti-fraud","pages":[{"title":"Anti-fraud","sidebarTitle":"Overview","href":"/guides/features/anti-fraud/overview"},{"title":"Anti-fraud setup","sidebarTitle":"Setup","href":"/guides/features/anti-fraud/setup"},{"title":"Silent mode","sidebarTitle":"Silent mode","href":"/guides/features/anti-fraud/silent-mode"},{"title":"Automatic anti-fraud device fingerprinting","sidebarTitle":"Fingerprints","href":"/guides/features/anti-fraud/fingerprint"},{"title":"Anti-fraud reviews","sidebarTitle":"Reviews","href":"/guides/features/anti-fraud/reviews"},{"title":"Anti-fraud simulator","sidebarTitle":"Simulator","href":"/guides/features/anti-fraud/simulator"}]},{"group":"Apple Pay","pages":[{"title":"Apple Pay","sidebarTitle":"Overview","href":"/guides/features/apple-pay/overview"},{"title":"Apple Pay on web with Embed","sidebarTitle":"Web with Embed","href":"/guides/features/apple-pay/web"},{"title":"Apple Pay on web without Embed","sidebarTitle":"Web without Embed","href":"/guides/features/apple-pay/web-without-sdk"},{"title":"Apple Pay on iOS with the SDK","sidebarTitle":"iOS wit
[...]
